Bug 963013 - SELinux is preventing /usr/lib/systemd/systemd-logind from 'read' accesses on the directory /.
SELinux is preventing /usr/lib/systemd/systemd-logind from 'read' accesses on...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:27ead6f7da775b182d9dba2cd6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 20:46 EDT by Jamie
Modified: 2014-02-05 16:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie 2013-05-14 20:46:11 EDT
Description of problem:
SELinux is preventing /usr/lib/systemd/systemd-logind from 'read' accesses on the directory /.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-logind should be allowed read access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                / [ dir ]
Source                        systemd-logind
Source Path                   /usr/lib/systemd/systemd-logind
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-201-2.fc18.6.i686
Target RPM Packages           filesystem-3.1-2.fc18.i686
Policy RPM                    selinux-policy-3.11.1-94.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-200.fc18.i686.PAE #1 SMP
                              Wed May 1 20:30:05 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-05-14 20:43:52 EDT
Last Seen                     2013-05-14 20:43:52 EDT
Local ID                      88ab5a43-228d-4bcf-b8cc-1bf2ef08737e

Raw Audit Messages
type=AVC msg=audit(1368578632.175:505): avc:  denied  { read } for  pid=551 comm="systemd-logind" name="/" dev="fuse" ino=1 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:fusefs_t:s0 tclass=dir


type=SYSCALL msg=audit(1368578632.175:505): arch=i386 syscall=openat success=no exit=EACCES a0=19 a1=bfd54117 a2=f8800 a3=0 items=0 ppid=1 pid=551 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=systemd-logind exe=/usr/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)

Hash: systemd-logind,systemd_logind_t,fusefs_t,dir,read

audit2allow

#============= systemd_logind_t ==============
allow systemd_logind_t fusefs_t:dir read;

audit2allow -R
require {
	type systemd_logind_t;
}

#============= systemd_logind_t ==============
fs_read_fusefs_symlinks(systemd_logind_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.8.11-200.fc18.i686.PAE
type:           libreport

Potential duplicate: bug 868833
Comment 1 Miroslav Grepl 2013-05-15 05:09:13 EDT
Did you setup a fusefs homedir?
Comment 2 Jamie 2013-05-18 17:20:52 EDT
Description of problem:
have been trying like hell to make nvidia legacy prop driver work, but not when this error occured. 

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.2-200.fc18.i686
type:           libreport
Comment 3 Jamie 2013-05-18 17:22:56 EDT
 Hi Miroslav,

  I didnt set up a fusefs homedir that I know of. I dont know what that is though.. :)
Comment 4 Daniel Walsh 2013-05-20 14:51:37 EDT
Did you have an ntfs file system (usb stick?) plugged in?
Comment 5 Daniel Walsh 2013-05-20 14:56:53 EDT
The other thing this could be is gvfs mounted under /run

I have no problem allowing this.
Comment 6 Fedora End Of Life 2013-12-21 08:32:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:22:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.